LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XExtendedIndexEntrySupplier Interface Referencepublished

This interface provides information for creating "Table of Index". More...

`import"XExtendedIndexEntrySupplier.idl";`

Inheritance diagram for XExtendedIndexEntrySupplier:

## Public Member Functions
sequence< com::sun::star::lang::Locale > | getLocaleList ()
| Returns locale list for which the IndexEntrySupplier provides service. More...
sequence< string > | getAlgorithmList ([in] com::sun::star::lang::Locale aLocale)
| Returns index algorithm list for specific locale. More...
boolean | usePhoneticEntry ([in] com::sun::star::lang::Locale aLocale)
| Checks if Phonetic Entry should be used for the locale. More...
string | getPhoneticCandidate ([in] string aIndexEntry, [in] com::sun::star::lang::Locale aLocale)
| Returns phonetic candidate for index entry for the locale. More...
boolean | loadAlgorithm ([in] com::sun::star::lang::Locale aLocale, [in] string aIndexAlgorithm, [in] long nCollatorOptions)
| Loads index algorithm for the locale. More...
string | getIndexKey ([in] string aIndexEntry, [in] string aPhoneticEntry, [in] com::sun::star::lang::Locale aLocale)
| Returns index key. More...
short | compareIndexEntry ([in] string aIndexEntry1, [in] string aPhoneticEntry1, [in] com::sun::star::lang::Locale aLocale1, [in] string aIndexEntry2, [in] string aPhoneticEntry2, [in] com::sun::star::lang::Locale aLocale2)
| Compares index entries. More...
Public Member Functions inherited from XIndexEntrySupplier
string | getIndexCharacter ([in] string aIndexEntry, [in] com::sun::star::lang::Locale aLocale, [in] string aSortAlgorithm)
| returns the capital index key for sorting a table of indexes, to a given index entry, to a given com::sun::star::lang::Locale and to a given sort algorithm. More...
string | getIndexFollowPageWord ([in] boolean bMorePages, [in] com::sun::star::lang::Locale aLocale)
| returns the page number word of an index entry, where one page or more pages are combined to one page number entry, for a given com::sun::star::lang::Locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides information for creating "Table of Index".

It is derived from com::sun::star::i18n::XIndexEntrySupplier and provides following additional functionalities.

- Provide supported language/locale list.
- Provide supported algorithm list.
- Provide phonetic entry support for CJK language.
- Provide method to compare index entry.

Since
  OOo 1.1.2

Developers Guide
  Office Development - Overview and Using the API - XExtendedIndexEntrySupplier

## Member Function Documentation

## ◆ compareIndexEntry()

short compareIndexEntry | ( | [in] string | aIndexEntry1,
|  | [in] string | aPhoneticEntry1,
|  | [in] com::sun::star::lang::Locale | aLocale1,
|  | [in] string | aIndexEntry2,
|  | [in] string | aPhoneticEntry2,
|  | [in] com::sun::star::lang::Locale | aLocale2
| ) |  |

Compares index entries.

Note that loadAlgorithm should be called before calling this function.

Parameters

  aIndexEntry1 |
  aIndexEntry2 | Index entries to be compared
  aPhoneticEntry1 |
  aPhoneticEntry2 | Phonetic entries to be compared
  aLocale1 |
  aLocale2 | Language attribute for index and phonetic entry. aLocale and the locale in loadAlgorithm may be different. In the case they are different, phonetic entry will not be used in the index key generation.

## ◆ getAlgorithmList()

sequence< string > getAlgorithmList | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

Returns index algorithm list for specific locale.

## ◆ getIndexKey()

string getIndexKey | ( | [in] string | aIndexEntry,
|  | [in] string | aPhoneticEntry,
|  | [in] com::sun::star::lang::Locale | aLocale
| ) |  |

Returns index key.

Note that loadAlgorithm should be called before calling this function.

Parameters

  aIndexEntry | Index entry
  aPhoneticEntry | Phonetic entry
  aLocale | Language attribute for index and phonetic entry. aLocale and the locale in loadAlgorithm may be different. In the case they are different, phonetic entry will not be used in the index key generation.

## ◆ getLocaleList()

sequence< com::sun::star::lang::Locale > getLocaleList | ( |  | ) |

Returns locale list for which the IndexEntrySupplier provides service.

## ◆ getPhoneticCandidate()

string getPhoneticCandidate | ( | [in] string | aIndexEntry,
|  | [in] com::sun::star::lang::Locale | aLocale
| ) |  |

Returns phonetic candidate for index entry for the locale.

## ◆ loadAlgorithm()

boolean loadAlgorithm | ( | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] string | aIndexAlgorithm,
|  | [in] long | nCollatorOptions
| ) |  |

Loads index algorithm for the locale.

Parameters

  aLocale | The locale.
  aIndexAlgorithm | Index algorithm to be loaded.
  nCollatorOptions | Sorting option of com::sun::star::i18n::CollatorOptions for comparing index entries

Returns
  `TRUE` if algorithm successfully loaded, `FALSE` else.

## ◆ usePhoneticEntry()

boolean usePhoneticEntry | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

Checks if Phonetic Entry should be used for the locale.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XExtendedIndexEntrySupplier.idl